Bug 98244 - dEQP: textureOffset(sampler2DArrayShadow, ...) should not exist.
Summary: dEQP: textureOffset(sampler2DArrayShadow, ...) should not exist.
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: glsl-compiler (show other bugs)
Version: git
Hardware: All Linux (All)
: medium normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: i965-deqp
  Show dependency treegraph
 
Reported: 2016-10-14 06:13 UTC by Randy
Modified: 2016-10-24 00:08 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Randy 2016-10-14 06:13:31 UTC
Mesa git top commit: 389d6dedbe75defe07216ad761569a9b94f44e58
dEQP git top commit: ca988480be945772473f9256b6ae91fa6aa62bd1

Reproduced on HSW and SKL

dEQP-GLES3.functional.shaders.texture_functions.invalid.textureoffset_sampler2darrayshadow_vec4_ivec2_fragment.qpa: <Result StatusCode="Fail">expected compilation to fail, but shaders compiled correctly.</Result>
dEQP-GLES3.functional.shaders.texture_functions.invalid.textureoffset_sampler2darrayshadow_vec4_ivec2_vertex.qpa: <Result StatusCode="Fail">expected compilation to fail, but shaders compiled correctly.</Result>
Comment 1 Kenneth Graunke 2016-10-15 21:51:19 UTC
Will send a patch soon.
Comment 2 Kenneth Graunke 2016-10-24 00:08:53 UTC
Fixed by

commit f30f48476fd2f441c7aaf001bd8456fe2d5432bf
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Sat Oct 15 14:47:31 2016 -0700

    glsl: Disable textureOffset(sampler2DArrayShadow, ...) in GLSL ES.
    
    This has apparently never existed in GLSL ES.
    
    Fixes dEQP-GLES3.functional.shaders.texture_functions.invalid
    .textureoffset_sampler2darrayshadow_vec4_ivec2_vertex and
    .textureoffset_sampler2darrayshadow_vec4_ivec2_fragment
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=98244
    Signed-off-by: Kenneth Graunke <kenneth@whitecape.org>
    Reviewed-by: Ilia Mirkin <imirkin@alum.mit.edu>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.